Bug 206406 - [as_IN] Letter "RA" does not Conjunts with any other consonants to form 2 consonants GSUB - Priority - B
[as_IN] Letter "RA" does not Conjunts with any other consonants to form 2 con...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 01:52 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 05:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satyabrata Maitra 2006-09-14 01:52:20 EDT
Description of problem: Following GSUB does not combine to form the proper shape 

Unicode Combination     key-sequence - inscript     Key-sequence - phonetic

U+0995 U+09CD U+09F0      kdj                         k/r
U+0996 U+09CD U+09F0      Kdj                         K/r
U+0997 U+09CD U+09F0      idj                         g/r
U+0998 U+09CD U+09F0      Idj                         G/r
U+099C U+09CD U+09F0      pdj                         j/r
U+09A4 U+09CD U+09F0      ldj                         f/r
U+09A6 U+09CD U+09F0      odj (Letter 'o')            q/r
U+09A7 U+09CD U+09F0      Odj (Letter 'O')            Q/r            
U+09AA U+09CD U+09F0      hdj                         p/r
U+09AE U+09CD U+09F0      cdj                         m/r
U+09B6 U+09CD U+09F0      Mdj                         x/r
U+09B8 U+09CD U+09F0      mdj                         s/r
U+09B9 U+09CD U+09F0      udj                         h/r


Version-Release number of selected component (if applicable):
fonts-bengali-2.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. Activate SCIM and select assamese inscript or phonetic layout
3. Type the key sequence given above.
4. Observe the result. OR
   Select RAWCODE from SCIM Table. Type the unicode combination given for each.

Actual results:
Does not combine to form the conjunct and does not show the proper shape also.

Expected results:
All the combination should show the proper shape after combine.


Additional info:
Comment 2 Rahul Bhalerao 2006-09-28 15:14:48 EDT
Font for bn_IN is used for as_IN as well. The font has the GSUB rule required
for vattu form of as_IN letter RA(u09F0).  bn_IN letter RA(u09B0) works well in
its vattu and reph forms. Pango declares u09B0 as '_rv' and u09F0 as 'ct'. Thus
this is a Pango bug. I am changing the comoponant of the bug.

Comment 3 Rahul Bhalerao 2006-09-28 15:24:08 EDT
Patch submitted on #206281 (attachment id=137331) is applicable for this bug as
well.
Comment 4 Rahul Bhalerao 2006-09-28 15:48:08 EDT
Bug for this issue is also filed in gnome bugzilla against pango. Patch is also
attached.

http://bugzilla.gnome.org/show_bug.cgi?id=358174
Comment 5 Leon Ho 2006-09-28 20:52:11 EDT
Thanks for the patch, Rahul, move to Behdad to review and build it into pango.
Comment 6 Amitakhya Phukan 2007-05-18 07:27:08 EDT
The present version of Fedora has these bugs solved. I am presently having
Fedora 7 rawhide and the renderings are perfect. Also RHEL5 has these problems
resolved.

Note You need to log in before you can comment on or make changes to this bug.